Subject: bug#46881: 28.0.50; pdumper dumping causes way too many syscalls

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 03 Mar 2021 16:09:15 +0100

Pip Cet <[email-masked]> writes:

> Since debuggability is such a concern, we probably shouldn't leak the
> buffer memory. Revised patch attached. (This patch also removes the
> lseek() syscalls; while not quite as numerous as the read() ones,
> those did clutter up straces here).

I've tried the patch on a couple of systems here, and the resulting
Emacs works fine (as expected), and the pdumping is significantly faster
here, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no